Bug 991543 - Add test coverage for oo-admin-upgrade --rerun
Add test coverage for oo-admin-upgrade --rerun
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Paul Morie
libra bugs
:
Depends On: 997769
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-02 13:22 EDT by Paul Morie
Modified: 2015-05-14 19:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-29 08:49:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Morie 2013-08-02 13:22:11 EDT
This functionality is currently broken; we need to add test coverage.
Comment 1 Paul Morie 2013-08-15 12:11:28 EDT
We've changed the way oo-admin-upgrade works so that the re-run functionality no longer needs to be explicitly invoked.  The latest version of oo-admin-upgrade will automatically re-run failed gears once it finishes upgrading all gears.  No additional parameter is needed to trigger this behavior; just run oo-admin-upgrade again.
Comment 2 Meng Bo 2013-08-20 07:31:59 EDT
oo-admin-upgrade will re-run the failed migration for now.

Move the bug to verified.

Note You need to log in before you can comment on or make changes to this bug.